Bug 456675 - Defects of hping3 man page
Defects of hping3 man page
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: hping3 (Show other bugs)
8
All Linux
medium Severity low
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-25 10:26 EDT by Milos Malik
Modified: 2008-11-22 11:48 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-11 21:52:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2008-07-25 10:26:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.16) Gecko/20080715 Fedora/2.0.0.16-1.fc8 Firefox/2.0.0.16

Description of problem:
The man page which is located in hping3 package seems to be a hping2 man page.
It contains some parameters which are not supported by hping3 like:
        --tcpack
        --tcpseq
It omits some parameters which are supported by hping3 like:
        --setack
        --setseq


Version-Release number of selected component (if applicable):
hping3-0.0.20051105-7.fc7

How reproducible:
Always


Steps to Reproduce:
$ man hping3
  search for string "hping3" --> results: none
  search for string "hping2" --> results: many
$ /usr/sbin/hping3 --tcpack
hping: unrecognized option `--tcpack'
Try hping --help
$ /usr/sbin/hping3 --tcpseq
hping: unrecognized option `--tcpseq'
Try hping --help
$ /usr/sbin/hping3 --setack
hping: option `--setack' requires an argument
Try hping --help
$ /usr/sbin/hping3 --setseq
hping: option `--setseq' requires an argument
Try hping --help


Actual Results:
the package contains hping2 man page

Expected Results:
the package contains hping3 man page

Additional info:
Comment 1 Paul Wouters 2008-11-10 00:11:01 EST
I added a patch, pushing updates now. Will be in hping3-0.0.20051105-11

Thanks for the good bug report!
Comment 2 Fedora Update System 2008-11-10 00:38:48 EST
hping3-0.0.20051105-11.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/hping3-0.0.20051105-11.fc10
Comment 3 Fedora Update System 2008-11-10 00:39:52 EST
hping3-0.0.20051105-8.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/hping3-0.0.20051105-8.fc8
Comment 4 Fedora Update System 2008-11-10 01:01:57 EST
hping3-0.0.20051105-10.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/hping3-0.0.20051105-10.fc9
Comment 5 Fedora Update System 2008-11-11 21:52:18 EST
hping3-0.0.20051105-8.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-11-11 22:01:10 EST
hping3-0.0.20051105-10.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-11-22 11:48:31 EST
hping3-0.0.20051105-11.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.